langcode: en
status: true
dependencies:
  config:
    - search_api.index.database_search_index
  module:
    - search_api
id: search_api_test_cache
label: 'Search API Test search view caching'
module: views
description: ''
tag: ''
base_table: search_api_index_database_search_index
base_field: search_api_id
core: 8.x
display:
  default:
    display_plugin: default
    id: default
    display_title: Master
    position: 0
    display_options:
      access:
        type: none
        options: {  }
      cache:
        type: none
        options: {  }
      query:
        type: search_api_query
        options:
          bypass_access: true
          skip_access: true
      exposed_form:
        type: basic
        options:
          submit_button: Apply
          reset_button: false
          reset_button_label: Reset
          exposed_sorts_label: 'Sort by'
          expose_sort_order: true
          sort_asc_label: Asc
          sort_desc_label: Desc
      pager:
        type: mini
        options:
          items_per_page: 10
          offset: 0
          id: 0
          total_pages: null
          expose:
            items_per_page: false
            items_per_page_label: 'Items per page'
            items_per_page_options: '5, 10, 25, 50'
            items_per_page_options_all: false
            items_per_page_options_all_label: '- All -'
            offset: false
            offset_label: Offset
          tags:
            previous: â€¹â€¹
            next: â€ºâ€º
      style:
        type: default
      row:
        type: fields
        options:
          default_field_elements: true
          inline: {  }
          separator: ''
          hide_empty: false
      fields:
        name:
          id: name
          table: search_api_datasource_database_search_index_entity_entity_test_mulrev_changed
          field: name
          relationship: none
          group_type: group
          admin_label: ''
          label: ''
          exclude: false
          alter:
            alter_text: false
            text: ''
            make_link: false
            path: ''
            absolute: false
            external: false
            replace_spaces: false
            path_case: none
            trim_whitespace: false
            alt: ''
            rel: ''
            link_class: ''
            prefix: ''
            suffix: ''
            target: ''
            nl2br: false
            max_length: 0
            word_boundary: true
            ellipsis: true
            more_link: false
            more_link_text: ''
            more_link_path: ''
            strip_tags: false
            trim: false
            preserve_tags: ''
            html: false
          element_type: ''
          element_class: ''
          element_label_type: ''
          element_label_class: ''
          element_label_colon: false
          element_wrapper_type: ''
          element_wrapper_class: ''
          element_default_classes: true
          empty: ''
          hide_empty: false
          empty_zero: false
          hide_alter_empty: true
          click_sort_column: value
          type: string
          settings:
            link_to_entity: false
          group_column: value
          group_columns: {  }
          group_rows: true
          delta_limit: 0
          delta_offset: 0
          delta_reversed: false
          delta_first_last: false
          multi_type: separator
          separator: ', '
          field_api_classes: false
          field_rendering: false
          fallback_handler: search_api
          fallback_options:
            link_to_item: false
            use_highlighting: true
            multi_separator: ', '
          entity_type: entity_test_mulrev_changed
          plugin_id: search_api_field
      filters:
        search_api_fulltext:
          id: search_api_fulltext
          table: search_api_index_database_search_index
          field: search_api_fulltext
          relationship: none
          group_type: group
          admin_label: ''
          operator: and
          value: ''
          group: 1
          exposed: true
          expose:
            operator_id: search_api_fulltext_op
            label: 'Fulltext search'
            description: ''
            use_operator: true
            operator: search_api_fulltext_op
            identifier: search_api_fulltext
            required: false
            remember: false
            multiple: false
            remember_roles:
              authenticated: authenticated
              anonymous: '0'
              administrator: '0'
          is_grouped: false
          group_info:
            label: ''
            description: ''
            identifier: ''
            optional: true
            widget: select
            multiple: false
            remember: false
            default_group: All
            default_group_multiple: {  }
            group_items: {  }
          parse_mode: terms
          min_length: 3
          fields: {  }
          plugin_id: search_api_fulltext
      sorts:
        search_api_id:
          id: search_api_id
          table: search_api_index_database_search_index
          field: search_api_id
          relationship: none
          group_type: group
          admin_label: ''
          order: ASC
          exposed: false
          expose:
            label: ''
          plugin_id: search_api
      title: 'Search API Test search view caching'
      header:
        result:
          id: result
          table: views
          field: result
          relationship: none
          group_type: group
          admin_label: ''
          empty: true
          content: 'Displaying @total search results'
          plugin_id: result
      footer: {  }
      empty: {  }
      relationships: {  }
      arguments: {  }
      display_extenders: {  }
    cache_metadata:
      max-age: -1
      contexts:
        - 'languages:language_content'
        - 'languages:language_interface'
        - url
        - url.query_args
      tags: {  }
  none:
    display_plugin: page
    id: none
    display_title: Disabled
    position: 1
    display_options:
      display_extenders: {  }
      path: search-api-test-search-view-caching-none
      display_description: ''
    cache_metadata:
      max-age: -1
      contexts:
        - 'languages:language_content'
        - 'languages:language_interface'
        - url
        - url.query_args
      tags: {  }
  tag:
    display_plugin: page
    id: tag
    display_title: Tag
    position: 1
    display_options:
      display_extenders: {  }
      path: search-api-test-search-view-caching-tag
      display_description: ''
      cache:
        type: search_api_tag
        options: {  }
      defaults:
        cache: false
    cache_metadata:
      max-age: -1
      contexts:
        - 'languages:language_content'
        - 'languages:language_interface'
        - url
        - url.query_args
      tags: {  }
  time:
    display_plugin: page
    id: time
    display_title: Time
    position: 1
    display_options:
      display_extenders: {  }
      path: search-api-test-search-view-caching-time
      display_description: ''
      cache:
        type: search_api_time
        options:
          results_lifespan: 3600
          results_lifespan_custom: 0
          output_lifespan: 3600
          output_lifespan_custom: 0
      defaults:
        cache: false
    cache_metadata:
      max-age: -1
      contexts:
        - 'languages:language_content'
        - 'languages:language_interface'
        - url
        - url.query_args
      tags: {  }
